_InitTimer1:
;EMG_PIC32.c,26 :: 		void InitTimer1()
;EMG_PIC32.c,29 :: 		T1CON	 = 0x8010;
ORI	R2, R0, 32784
SW	R2, Offset(T1CON+0)(GP)
;EMG_PIC32.c,30 :: 		T1IP0_bit	 = 1;
LUI	R2, BitMask(T1IP0_bit+0)
ORI	R2, R2, BitMask(T1IP0_bit+0)
_SX	
;EMG_PIC32.c,31 :: 		T1IP1_bit	 = 1;
LUI	R2, BitMask(T1IP1_bit+0)
ORI	R2, R2, BitMask(T1IP1_bit+0)
_SX	
;EMG_PIC32.c,32 :: 		T1IP2_bit	 = 1;
LUI	R2, BitMask(T1IP2_bit+0)
ORI	R2, R2, BitMask(T1IP2_bit+0)
_SX	
;EMG_PIC32.c,33 :: 		T1IF_bit	 = 0;
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	
;EMG_PIC32.c,34 :: 		T1IE_bit	 = 1;
LUI	R2, BitMask(T1IE_bit+0)
ORI	R2, R2, BitMask(T1IE_bit+0)
_SX	
;EMG_PIC32.c,35 :: 		PR1		 = 41667;
ORI	R2, R0, 41667
SW	R2, Offset(PR1+0)(GP)
;EMG_PIC32.c,36 :: 		TMR1		 = 0;
SW	R0, Offset(TMR1+0)(GP)
;EMG_PIC32.c,37 :: 		}
L_end_InitTimer1:
JR	RA
NOP	
; end of _InitTimer1
_main:
;EMG_PIC32.c,45 :: 		void main()
ADDIU	SP, SP, -32
;EMG_PIC32.c,47 :: 		uint32_t i = 0;
;EMG_PIC32.c,51 :: 		TRISB8_bit =  1;              // Set A15 and B8 pins as input
LUI	R2, BitMask(TRISB8_bit+0)
ORI	R2, R2, BitMask(TRISB8_bit+0)
_SX	
;EMG_PIC32.c,52 :: 		TRISA15_bit = 1;
LUI	R2, BitMask(TRISA15_bit+0)
ORI	R2, R2, BitMask(TRISA15_bit+0)
_SX	
;EMG_PIC32.c,53 :: 		ad1pcfg = 0x0100;
ORI	R2, R0, 256
SW	R2, Offset(AD1PCFG+0)(GP)
;EMG_PIC32.c,54 :: 		ADC1_Init();
JAL	_ADC1_Init+0
NOP	
;EMG_PIC32.c,56 :: 		UART5_Init( 57600 );
ORI	R25, R0, 57600
JAL	_UART5_Init+0
NOP	
;EMG_PIC32.c,57 :: 		delay_ms( 500 );
LUI	R24, 203
ORI	R24, R24, 29524
L_main0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main0
NOP	
NOP	
NOP	
;EMG_PIC32.c,59 :: 		while(1)
L_main2:
;EMG_PIC32.c,64 :: 		if (Button(&PORTA, 15, 10, 1))
ORI	R28, R0, 1
ORI	R27, R0, 10
ORI	R26, R0, 15
LUI	R25, hi_addr(PORTA+0)
ORI	R25, R25, lo_addr(PORTA+0)
JAL	_Button+0
NOP	
BNE	R2, R0, L__main12
NOP	
J	L_main4
NOP	
L__main12:
;EMG_PIC32.c,66 :: 		UART5_Write_Text("START\r\n");
LUI	R25, hi_addr(?lstr1_EMG_PIC32+0)
ORI	R25, R25, lo_addr(?lstr1_EMG_PIC32+0)
JAL	_UART5_Write_Text+0
NOP	
;EMG_PIC32.c,67 :: 		delay_ms(500);
LUI	R24, 203
ORI	R24, R24, 29524
L_main5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main5
NOP	
NOP	
NOP	
;EMG_PIC32.c,68 :: 		InitTimer1();
JAL	_InitTimer1+0
NOP	
;EMG_PIC32.c,69 :: 		EnableInterrupts();
EI	R30
;EMG_PIC32.c,70 :: 		}
L_main4:
;EMG_PIC32.c,73 :: 		if (read_flag == true)
LBU	R3, Offset(EMG_PIC32_read_flag+0)(GP)
ORI	R2, R0, 1
BEQ	R3, R2, L__main13
NOP	
J	L_main7
NOP	
L__main13:
;EMG_PIC32.c,75 :: 		T1IE_bit         = 0;
LUI	R2, BitMask(T1IE_bit+0)
ORI	R2, R2, BitMask(T1IE_bit+0)
_SX	
;EMG_PIC32.c,76 :: 		adc_reads    =  ADC1_Get_Sample(8);
ORI	R25, R0, 8
JAL	_ADC1_Get_Sample+0
NOP	
ANDI	R2, R2, 65535
SW	R2, Offset(_adc_reads+0)(GP)
;EMG_PIC32.c,77 :: 		timer_reads  =  ((double)interrupt_ctr)* 3.33;
LW	R4, Offset(EMG_PIC32_interrupt_ctr+0)(GP)
JAL	__Unsigned32IntToFloat+0
NOP	
LUI	R4, 16469
ORI	R4, R4, 7864
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
SW	R2, Offset(_timer_reads+0)(GP)
;EMG_PIC32.c,78 :: 		inttostr(adc_reads, final_string);
ADDIU	R2, SP, 10
MOVZ	R26, R2, R0
LW	R25, Offset(_adc_reads+0)(GP)
JAL	_IntToStr+0
NOP	
;EMG_PIC32.c,79 :: 		floattostr(timer_reads, timer_read_string);
ADDIU	R2, SP, 0
MOVZ	R26, R2, R0
LW	R25, Offset(_timer_reads+0)(GP)
JAL	_FloatToStr+0
NOP	
;EMG_PIC32.c,80 :: 		strcat(final_string, ",");
ADDIU	R2, SP, 10
LUI	R26, hi_addr(?lstr2_EMG_PIC32+0)
ORI	R26, R26, lo_addr(?lstr2_EMG_PIC32+0)
MOVZ	R25, R2, R0
JAL	_strcat+0
NOP	
;EMG_PIC32.c,81 :: 		strcat(final_string, timer_read_string);
ADDIU	R3, SP, 0
ADDIU	R2, SP, 10
MOVZ	R26, R3, R0
MOVZ	R25, R2, R0
JAL	_strcat+0
NOP	
;EMG_PIC32.c,82 :: 		ltrim(final_string);
ADDIU	R2, SP, 10
MOVZ	R25, R2, R0
JAL	_Ltrim+0
NOP	
;EMG_PIC32.c,83 :: 		UART5_Write_Text(final_string);
ADDIU	R2, SP, 10
MOVZ	R25, R2, R0
JAL	_UART5_Write_Text+0
NOP	
;EMG_PIC32.c,84 :: 		UART5_Write_Text("\r\n");
LUI	R25, hi_addr(?lstr3_EMG_PIC32+0)
ORI	R25, R25, lo_addr(?lstr3_EMG_PIC32+0)
JAL	_UART5_Write_Text+0
NOP	
;EMG_PIC32.c,85 :: 		read_flag = false;
SB	R0, Offset(EMG_PIC32_read_flag+0)(GP)
;EMG_PIC32.c,86 :: 		T1IE_bit  = 1;
LUI	R2, BitMask(T1IE_bit+0)
ORI	R2, R2, BitMask(T1IE_bit+0)
_SX	
;EMG_PIC32.c,87 :: 		}
L_main7:
;EMG_PIC32.c,88 :: 		}
J	L_main2
NOP	
;EMG_PIC32.c,90 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
_Timer1Interrupt:
;EMG_PIC32.c,93 :: 		void Timer1Interrupt() iv IVT_TIMER_1 ilevel 7 ics ICS_SRS
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
;EMG_PIC32.c,95 :: 		read_flag = true;
ORI	R2, R0, 1
SB	R2, Offset(EMG_PIC32_read_flag+0)(GP)
;EMG_PIC32.c,97 :: 		interrupt_ctr++;
LW	R2, Offset(EMG_PIC32_interrupt_ctr+0)(GP)
ADDIU	R2, R2, 1
SW	R2, Offset(EMG_PIC32_interrupt_ctr+0)(GP)
;EMG_PIC32.c,98 :: 		if (interrupt_ctr % 300 == 0)
LW	R3, Offset(EMG_PIC32_interrupt_ctr+0)(GP)
ORI	R2, R0, 300
DIVU	R3, R2
MFHI	R2
BEQ	R2, R0, L__Timer1Interrupt16
NOP	
J	L_Timer1Interrupt8
NOP	
L__Timer1Interrupt16:
;EMG_PIC32.c,99 :: 		seconds_counter++;
LW	R2, Offset(EMG_PIC32_seconds_counter+0)(GP)
ADDIU	R2, R2, 1
SW	R2, Offset(EMG_PIC32_seconds_counter+0)(GP)
L_Timer1Interrupt8:
;EMG_PIC32.c,101 :: 		T1IF_bit = 0;
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	
;EMG_PIC32.c,102 :: 		}
L_end_Timer1Interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _Timer1Interrupt
